[oXygen-sdk] [Ann] Oxygen XML Editor 17.0 beta - build 2015041612

Sorin Ristache
Fri Apr 17 01:39:00 CDT 2015


Hello,

Yes, that is correct. We waited for the new TEI schema version (2.8.0) 
which was released about a week ago and which we will add in Oxygen 17.0 
together with an updated version of the TEI-Oxygen framework.


Best regards,
Sorin

<oXygen/> XML Editor

http://www.oxygenxml.com


On 4/16/2015 8:46 PM, Martin Holmes wrote:
> Ah, I think I see what's happened:
>
> The oxygen-tei project was recently moved from Google Code to GitHub, 
> because Google Code is shutting down. It's now here:
>
> <https://github.com/TEIC/oxygen-tei/>
>
> Since that change, a lot of updates have been added by the TEI team, 
> including a fourth framework, teip5jtei.framework. That doesn't appear 
> in the 17.0 frameworks directory.
>
> It looks like you might have built your framework from the obsolete 
> codebase on Google Code. Is that possible?
>
> (I wasn't seeing any P5 stuff at all initially, I think because I'm 
> running 16.1 with a bleeding-edge build of the TEI plugin for testing 
> purposes.)
>
> Cheers,
> Martin
>
> On 15-04-16 08:59 AM, Oxygen XML Editor Support (Adrian Buza) wrote:
>> Hello Martin,
>>
>> The TEI P5 framework has not been removed in v17.
>> I've checked, but I don't see anything missing from the TEI P5 framework
>> of v17.0 (Linux 64-bit or otherwise) when compared with the one from 
>> v16.1.
>> I must also mention that the TEI schemas and stylesheets have not
>> actually been updated (yet) in v17.0, so they are still the same as in
>> v16.1. We are planning to update them with the latest stable versions by
>> the time v17.0 is released.
>>
>> Please check if you are using the frameworks folder from Oxygen in
>> Options > Preferences, "Document Type Association" > Locations. Set the
>> frameworks location to "Default" to use the default "Oxygen/frameworks"
>> folder.
>> Also check in the "Document Type Association" if "TEI P5" (Storage:
>> External) is enabled. If you have installed the TEI add-on in the
>> previous version and disabled the default TEI P5, it probably remained
>> disabled in the new version (the options are imported from the older
>> version).
>>
>> If that's not the problem, please check in your Oxygen/frameworks/tei
>> folder. There should be three framework files there:
>> - teip4.framework
>> - teip5.framework
>> - teip5odd.framework
>>
>> Please let me know if the problem persists.
>>
>> Regards,
>> Adrian
>>
>> Adrian Buza
>> oXygen XML Editor and Author Support
>>
>> Tel: +1-650-352-1250 ext.2020
>> Fax: +40-251-461482
>> 
>> http://www.oxygenxml.com
>>
>>
>> On 16.04.2015 18:19, Martin Holmes wrote:
>>> To clarify: using the tarball "all", P5 is there, but using the Linux
>>> 64-bit .sh distro, without importing any existing add-ons, there's no
>>> P5; only the deprecated P4 stuff is there.
>>>
>>> Cheers,
>>> Martin
>>>
>>> On 15-04-16 08:16 AM, Martin Holmes wrote:
>>>> Hi there,
>>>>
>>>> The TEI P5 framework seems to have been removed from the beta. What's
>>>> happening there?
>>>>
>>>> Cheers,
>>>> Martin


More information about the oXygen-sdk mailing list